Package org.apache.commons.math3.optim.nonlinear.vector

# Class JacobianMultivariateVectorOptimizer

java.lang.Object
org.apache.commons.math3.optim.BaseOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.BaseMultivariateOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer
org.apache.commons.math3.optim.nonlinear.vector.JacobianMultivariateVectorOptimizer

Direct Known Subclasses:
  `AbstractLeastSquaresOptimizer`

@Deprecated public abstract class JacobianMultivariateVectorOptimizer extends MultivariateVectorOptimizer
Deprecated.
All classes and interfaces in this package are deprecated. The optimizers that were provided here were moved to the `org.apache.commons.math3.fitting.leastsquares` package (cf. MATH-1008).
Base class for implementing optimizers for multivariate vector differentiable functions. It contains boiler-plate code for dealing with Jacobian evaluation. It assumes that the rows of the Jacobian matrix iterate on the model functions while the columns iterate on the parameters; thus, the numbers of rows is equal to the dimension of the `Target` while the number of columns is equal to the dimension of the `InitialGuess`.

Since:
  3.1

## Field Summary

### Fields inherited from class org.apache.commons.math3.optim.BaseOptimizer

`evaluations, iterations`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`JacobianMultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected double[][]`
`computeJacobian(double[] params)`
Deprecated.
Computes the Jacobian matrix.
`PointVectorValuePair`
`optimize(OptimizationData... optData)`
Deprecated.
Stores data and performs the optimization.
`protected void`
`parseOptimizationData(OptimizationData... optData)`
Deprecated.
Scans the list of (required and optional) optimization data that characterize the problem.

### Methods inherited from class org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer

`computeObjectiveValue, getTarget, getTargetSize, getWeight`

### Methods inherited from class org.apache.commons.math3.optim.BaseMultivariateOptimizer

`getLowerBound, getStartPoint, getUpperBound`

### Methods inherited from class org.apache.commons.math3.optim.BaseOptimizer

`doOptimize, getConvergenceChecker, getEvaluations, getIterations, getMaxEvaluations, getMaxIterations, incrementEvaluationCount, incrementIterationCount, optimize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JacobianMultivariateVectorOptimizer

protected JacobianMultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)
Deprecated.

Parameters:
  `checker` - Convergence checker.

## Method Details

### computeJacobian

protected double[][] computeJacobian(double[] params)
Deprecated.
Computes the Jacobian matrix.

Parameters:
  `params` - Point at which the Jacobian must be evaluated.
Returns:
  the Jacobian at the specified point.

### optimize

public PointVectorValuePair optimize(OptimizationData... optData) throws TooManyEvaluationsException, DimensionMismatchException
Deprecated.
Stores data and performs the optimization.

The list of parameters is open-ended so that sub-classes can extend it with arguments specific to their concrete implementations.

When the method is called multiple times, instance data is overwritten only when actually present in the list of arguments: when not specified, data set in a previous call is retained (and thus is optional in subsequent calls).

Important note: Subclasses must override `BaseOptimizer.parseOptimizationData(OptimizationData[])` if they need to register their own options; but then, they must also call `super.parseOptimizationData(optData)` within that method.

Overrides:
  `optimize` in class `MultivariateVectorOptimizer`
Parameters:
  `optData` - Optimization data. In addition to those documented in `MultivariateVectorOptimizer.optimize(OptimizationData...)` MultivariateOptimizer}, this method will register the following data:
  - `ModelFunctionJacobian`
Returns:
  a point/value pair that satisfies the convergence criteria.
Throws:
  `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.
  `DimensionMismatchException` - if the initial guess, target, and weight arguments have inconsistent dimensions.

### parseOptimizationData

protected void parseOptimizationData(OptimizationData... optData)
Deprecated.
Scans the list of (required and optional) optimization data that characterize the problem.

Overrides:
  `parseOptimizationData` in class `MultivariateVectorOptimizer`
Parameters:
  `optData` - Optimization data. The following data will be looked for:
  - `ModelFunctionJacobian`